# CALL_DEF_STRUCTURE Struct Reference

`#include <InterfaceGraphic_Graphic3d.hxx>`

## Data Fields

int | Id
void * | ptrStructure
int | Priority
int | PreviousPriority
int | GroupBegin
int | GroupEnd
CALL_DEF_CONTEXTLINE | ContextLine
CALL_DEF_CONTEXTFILLAREA | ContextFillArea
CALL_DEF_CONTEXTMARKER | ContextMarker
CALL_DEF_CONTEXTTEXT | ContextText
CALL_DEF_BOUNDBOX | BoundBox
float | Transformation [4][4]
int | Composition
int | ContainsFacet
unsigned | IsDeleted:1
unsigned | IsOpen:1
unsigned | IsInfinite:1
unsigned | stick:1
unsigned | highlight:1
unsigned | visible:1
unsigned | pick:1
unsigned | HLRValidation:1
CALL_DEF_TRANSFORM_PERSISTENCE | TransformPersistence

## Field Documentation

CALL_DEF_BOUNDBOX CALL_DEF_STRUCTURE::BoundBox

int CALL_DEF_STRUCTURE::Composition

int CALL_DEF_STRUCTURE::ContainsFacet

CALL_DEF_CONTEXTFILLAREA CALL_DEF_STRUCTURE::ContextFillArea

CALL_DEF_CONTEXTLINE CALL_DEF_STRUCTURE::ContextLine

CALL_DEF_CONTEXTMARKER CALL_DEF_STRUCTURE::ContextMarker

CALL_DEF_CONTEXTTEXT CALL_DEF_STRUCTURE::ContextText

int CALL_DEF_STRUCTURE::GroupBegin

int CALL_DEF_STRUCTURE::GroupEnd

unsigned CALL_DEF_STRUCTURE::highlight

unsigned CALL_DEF_STRUCTURE::HLRValidation

int CALL_DEF_STRUCTURE::Id

unsigned CALL_DEF_STRUCTURE::IsDeleted

unsigned CALL_DEF_STRUCTURE::IsInfinite

unsigned CALL_DEF_STRUCTURE::IsOpen

unsigned CALL_DEF_STRUCTURE::pick

int CALL_DEF_STRUCTURE::PreviousPriority

int CALL_DEF_STRUCTURE::Priority

void* CALL_DEF_STRUCTURE::ptrStructure

unsigned CALL_DEF_STRUCTURE::stick

float CALL_DEF_STRUCTURE::Transformation[4][4]

CALL_DEF_TRANSFORM_PERSISTENCE CALL_DEF_STRUCTURE::TransformPersistence

unsigned CALL_DEF_STRUCTURE::visible

The documentation for this struct was generated from the following file:

- InterfaceGraphic_Graphic3d.hxx